#include <bits/stdc++.h>
using namespace std;
long long N, L, a, sol;
int main(){
    cin >> N >> L;
    sol = -1;
    for(int i = 1; i <= N; i++){
        cin >> a;
        if(a <= L and sol == -1) sol = i;
    }
    cout << sol << endl;
return 0;
}